/**
 * 
 */
package com.yeejoin.amos.iec104.entity;

/**
 * 协议解决结果
 * 
 * @author as-youjun
 *
 */
public class ParseResult {

	/**
	 * 状态：0表示失败，1表示成功
	 */
	private int status = 0;

	/**
	 * 错误内容：只有当status=0时，errorMsg才会有内容
	 */
	private String errorMsg;

	/**
	 * 结果数据
	 */
	private Object result;

	/**
	 * @return the status
	 */
	public int getStatus() {
		return status;
	}

	/**
	 * @param status
	 *            the status to set
	 */
	public void setStatus(int status) {
		this.status = status;
	}

	/**
	 * @return the errorMsg
	 */
	public String getErrorMsg() {
		return errorMsg;
	}

	/**
	 * @param errorMsg
	 *            the errorMsg to set
	 */
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	/**
	 * @return the result
	 */
	public Object getResult() {
		return result;
	}

	/**
	 * @param result
	 *            the result to set
	 */
	public void setResult(Object result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return new StringBuilder().append("status=").append(status)
				.append("result=").append(result).toString();
	}

}
